Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

# Class EventModel

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.EventModel

All Implemented Interfaces:
  `Serializable`

public class EventModel extends CoordinatorConnectionModel

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`List<EventStageModel>`
`stages`
`Long`
`workerId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

`coordinatorId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

## Constructor Summary

Constructors
Constructor
Description
`EventModel()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setCoordinatorName(String name)`
`String`
`toString()`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

`getCoordinatorHostId, setCoordinatorHostId`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### workerId

public Long workerId

### stages

public List<EventStageModel> stages

## Constructor Details

### EventModel

public EventModel()

## Method Details

### setCoordinatorName

public void setCoordinatorName(String name)

### toString

public String toString()

Overrides:
  `toString` in class `Object`